<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/
    User::checkToken();
	$module=Db::i()->selectCell("SELECT module FROM ?_modules WHERE module_id=?", $_GET['var1']);
	if (!file_exists(LAB_PATH_MODULES.'/'.$module.'/config.xml')) return LabCMS::i()->error("Модуль не найден");
	if(file_exists(LAB_PATH_MODULES.'/'.$module."/uninstall.sql")) Db::parse_mysql_dump(LAB_PATH_MODULES.'/'.$module."/uninstall.sql", false);
	if(file_exists(LAB_PATH_MODULES.'/'.$module."/install.sql")) Db::parse_mysql_dump(LAB_PATH_MODULES.'/'.$module."/install.sql", false);

	//создаем файл с дефолтными настройками
	create_deafult_settings($module, $_GET["var1"]);
	LabCMS::i()->reset_cache('all');
	refresh();